from azure.identity import ManagedIdentityCredential
from azure.keyvault.secrets import SecretClient
from azure.core.exceptions import AzureError

def azure_get_secret_value(keyvault_url:str, secret_name:str) -> str:
    try:
        credential = ManagedIdentityCredential()
        client = SecretClient(vault_url=keyvault_url, credential=credential)
        secret_value = client.get_secret(secret_name)
        return secret_value
    except AzureError as err:
        print(f"Error retrieving data: {err}")